unit COMinExcel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComObj;

type
  TFormCOMExcel = class(TForm)
    // Процедура, вызываемая при создании формы
    procedure FormCreate(Sender: TObject);
    // Процедура, вызываемая при завершении работы приложения
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormCOMExcel: TFormCOMExcel;
  // Объявление объекта OleVariant с именем Excel
  Excel: OleVariant;

implementation

{$R *.dfm}

procedure TFormCOMExcel.FormCreate(Sender: TObject);
begin
// Инициализируем объект
Excel := CreateOleObject('Excel.Application');
// Устанавливаем  видимым окно приложения Excel
Excel.Visible := true;
// Добавляем новую книгу
Excel.Application.Workbooks.Add;
// Вводим текст в ячейку с индексом 5,5
Excel.Application.Worksheets.Item['Лист1'].
      Cells.Item[5,5].FormulaR1C1 := '! ТЕКСТ !';
// Задаем характеристики шрифта
Excel.Application.Worksheets.Item['Лист1'].
      Cells.Item[1,1].Font.Bold := true;
// В ячейку с индексом 1,1 записываем формулу
Excel.Application.Worksheets.Item['Лист1'].
      Cells.Item[1,1].FormulaR1C1 := '=18*2';
end;

procedure TFormCOMExcel.FormDestroy(Sender: TObject);
begin
// Закрываем приложение Excel
Excel.Quit;
end;

end.
